# Regigigas
- Adds Regigigas, a powerful new boss that spawns on Siren's Call, Sundered Grove, and post-loop Titanic Plains, Abandoned Aqueduct, Wetland Aspect and Rallypoint Delta
- Includes a playable version in config, disabled by default

[![](https://cdn.discordapp.com/attachments/469291841859092488/817547733132640326/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/817549094712901662/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/817550601503113238/texRegigigasIcon.png)]()

## Skills

### Slow Start

For the first 2 minutes after spawning, `attack speed`, `damage` and `movement speed` are halved.


### Crush Grip

Grab a nearby enemy and crush them, dealing 50% of their max health, then throw them.


### Earth Power

Stomp with all your might, summoning pillars of flame that deal 1200% damage.
    
### Revenge (usable below 50% hp)

Freeze up for 8 seconds, gaining 500 armor. At the end, release a massive blast for double the damage receieved during this time. Radius scales up with damage taken, up to a limit.

## TODO
- Add a special skill
- New loadout for the survivor version

## Known Issues
- Crush Grip may have issues when used by players online

## Changelog
`1.0.3`
- Base health 2100 > 4200
- Base health per level 630 > 1260
- Base armor 20 > 0
- Added Mastery skin
- Added a different set of animations for when Slow Start is finished
- Added death animation
- Added alt primary: Brick Break
- Added some new sounds
- Added new Earth Power visuals
- Earth Power projectile count 5 > 14
- Earth Power damage 900% > 1200%, no longer rotates or applies Cripple
- Fixed oversized particles

`1.0.2`
- Fixed playable Regigigas always being enabled

`1.0.1`
- Fixed some networking issues
- Moved up aim origin so projectiles don't come from his crotch
- Crosshair is no longer hidden when Visions of Heresy is held
- Added item display for Visions of Heresy

`1.0.0`
- Initial Release